package com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator;

import com.brilliance.isc.swift.objmtconvert.annotation.FieldDescription;
import com.brilliance.isc.swift.objmtconvert.annotation.Status;
import com.brilliance.isc.swift.objmtconvert.annotation.TagName;
import com.brilliance.isc.swift.objmtconvert.annotation.TagRegex;
import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class MT942AbsCreator extends AbsMTCreator {
    @Status("O")
    @TagName("61")
    @FieldDescription("Statement Line")
    @TagRegex("6!n[4!n]2a[1!a]15d1!a3!c16x[//16x]<crlf>[34x]")
    //61
    private String statementLine;
    @Status("O")
    @TagName("86")
    @FieldDescription("Information to Account Owner")
    @TagRegex("6*65x")
    //86
    private String infotoAccOwnr;

    public String getStatementLine() {
        return statementLine;
    }

    public void setStatementLine(String statementLine) {
        this.statementLine = statementLine;
    }

    public String getInfotoAccOwnr() {
        return infotoAccOwnr;
    }

    public void setInfotoAccOwnr(String infotoAccOwnr) {
        this.infotoAccOwnr = infotoAccOwnr;
    }

    public MT942AbsCreator(String jsonData) throws Exception {
        super(jsonData);
    }

    public MT942AbsCreator() {
        super();
    }



    public MtResult unpack() {
        return null;
    }


}
